package com.zksy.common.annotation;

import com.zksy.common.convert.BaseCovert;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface Dict {


    String dictType() default "";

    String dateFormat() default "";

    String checkData() default "";

    Class<? extends BaseCovert> convert();
}
